Subject: bug#48796: Guix on Debian 11 - Cant run or find applications from Guix

From: bo0od <[email-masked]>
Date: Thu, 3 Jun 2021 23:18:49 +0000

> There should be no need to install anything as root,
 > unless you make a habit of logging in as the root user
 > and work from there (not recommended).

I know i just mentioned this info to say with or without root nothing is 
appeared to be readable from the system.

 > Which icon are you looking at? The icon in a desktop menu?
 > The ‘cat around a globe’ image you'd see on ‘new tab’ windows
 > above the search bar? The same image, but downscaled, before
 > ‘New Tab’ in the tab bar?

There is nothing exist of any kind from icons. (icecat starting icon in 
the applications menu or so)

 > I can use IceCat just fine from the terminal (Guix System),
 > more details are needed, ‘I can't run it’ is rather vague.
 > Is there any log output, does IceCat start but crash soon,

I can use that as well fine in guixsd, But not in debian.

 > maybe ‘bash: icecat: command not found’, ...?

yes, and if i type ice and press Tab nothing appearing.

So whether graphical or terminal nothing indicating that there is a 
software installed/exist in the system (though the software installed 
and exist)

Note:

manually going to 
/home/user/.guix-profile/share/applications/icecat.desktop and pressing 
it it will run icecat.(but thats not how applications should be running)

Maxime Devos:
> bo0od schreef op wo 02-06-2021 om 18:56 [+0000]:
>> Hi There,
>>
>> I have installed Guix package manager over debian bullseye 11 then i
>> installed a package using guix (after running guix pull) with two ways:
>> (x package i tried is icecat)
>>
>> guix install x
>>
>> sudo -i guix install x
> 
> There should be no need to install anything as root,
> unless you make a habit of logging in as the root user
> and work from there (not recommended).
> 
> (Except the guix daemon itself maybe? But that's "sudo guix pull"
> I think, not "sudo guix install guix". I'm on Guix System
> myself.)
> 
>> both of the commands worked but the x package has no icon nor i can run
>> it using terminal.
> 
> Which icon are you looking at? The icon in a desktop menu?
> The ‘cat around a globe’ image you'd see on ‘new tab’ windows
> above the search bar? The same image, but downscaled, before
> ‘New Tab’ in the tab bar?
> 
>> nor i can run it using terminal
> 
> I can use IceCat just fine from the terminal (Guix System),
> more details are needed, ‘I can't run it’ is rather vague.
> Is there any log output, does IceCat start but crash soon,
> maybe ‘bash: icecat: command not found’, ...?
> 
> Greetings,
> Maxime.
>